Bug 481005 - Remove langsupport Kickstart Option for RHEL5 and Beyond
Remove langsupport Kickstart Option for RHEL5 and Beyond
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.4
All Linux
low Severity low
: ---
: ---
Assigned To: Devan Goodwin
Red Hat Satellite QA List
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-01-21 12:28 EST by Devan Goodwin
Modified: 2009-09-17 03:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-01-21 12:28:04 EST
Kickstart Advanced Options page still lists langsupport, but according to RHEL 5 documentation this is now deprecated and will cause the kickstart to halt:

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Installation_Guide-en-US/s1-kickstart2-options.html


Steps to Reproduce:
1. Create a RHEL 5 based kickstart distribution and affiliated profile. (CentOS 5 will work)
2. View profile and go to Advanced Options.
  
Actual results:

langsupport option is included.

Expected results:

langsupport should not be here, nor for any Fedora based profiles. For RHEL 4 and lower, it should remain.

Additional info:

In testing it can help to just view your kickstart distribution and change the Installer Generation, regardless of what the distribution contains, and then view the details for your profile again.
Comment 1 Devan Goodwin 2009-01-21 13:20:11 EST
Fix committed to spacewalk git in: 95622bcaec6ecf4a24ca4fed01701f5f6ee758f0
Comment 2 Devan Goodwin 2009-03-30 12:21:10 EDT
Verified in spacewalk 0.5, langsupport gone for el5 kickstart profiles, but remains for pre-el5 profiles.
Comment 3 Jesus M. Rodriguez 2009-04-14 10:12:23 EDT
Spacewalk 0.5 released.
Comment 4 Miroslav Suchý 2009-09-17 03:09:23 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.